package com.docus.server.message.scheduler;

import com.docus.server.message.thread.DelayTaskIssuanceHelper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author YongBin Wen
 * @date 2024/1/23 14:04
 */

public class JobScheduler {

    private static final Logger logger = LoggerFactory.getLogger(JobScheduler.class);

    public void init() throws Exception {
        DelayTaskIssuanceHelper.getInstance().start();

        logger.info(">>>>>>>>> init job admin success.");
    }


    public void destroy() throws Exception {
        DelayTaskIssuanceHelper.getInstance().toStop();
    }
}
